Subject: Re: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Thu, 07 Jul 2022 18:46:53 +0000

>
> One problem with the current implementation that uses narrowing is that 
> if you have the same buffer buffer shown in more than one window, the 
> non-selected windows sometimes scroll "by themselves".  To reproduce, 
> visit, e.g., long-line.xml, say "C-x 2", then scroll with C-v: at some 
> point the other window will also scroll, to reflect the narrowing.
>

Indeed.  Another similar problem is that scroll-other-window does not work 
(or rather, it does, but the narrowing of the buffer is not updated).

By the way, that's a problem I see with the idea of computing the 
narrowing dynamically by multiplying window-body-width by 
window-total-height.  If a buffer is displayed in two windows, a small one 
and a larger one, and we navigate the buffer in the smaller one, the 
larger one will display only a part of what it could display.